Bug 216533 - security/py-paramiko: update to 2.2.1 and add fix 473 from github
Summary: security/py-paramiko: update to 2.2.1 and add fix 473 from github
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sofian Brabez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-27 21:00 UTC by Kurt Jaeger
Modified: 2017-08-11 22:07 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (sbz)


Attachments
update to 2.2.1, add github 473 fix (3.14 KB, patch)
2017-07-30 14:46 UTC, Kurt Jaeger
pi: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2017-01-27 21:00:28 UTC
Would it be possible to include

https://github.com/paramiko/paramiko/pull/473

from the upstream repo ? It's not applied upstream for some reason, but
it's annoying nevertheless.
Comment 1 Kurt Jaeger freebsd_committer 2017-07-30 14:46:18 UTC
Created attachment 184846 [details]
update to 2.2.1, add github 473 fix

This updates to the most recent version and adds the fix from paramiko github issue 473.
Comment 2 Sofian Brabez freebsd_committer 2017-08-10 00:31:57 UTC
Kurt,

any reason why you want to add a patch not yet committed upstream ? In general, I prefer to stick to the upstream release.

In case, you need it, our ports infrastructure allow you to use add patches you make into ${FILESDIR} folder. Then you can generate a package using poudriere bulk or make package target which suits your needs.

I will commit the update tomorrow.
Comment 3 Kurt Jaeger freebsd_committer 2017-08-10 04:57:41 UTC
https://portscout.freebsd.org/axel.rau@chaos1.de.html

asked for it, because he ran into the problem at several occasions.
Comment 4 commit-hook freebsd_committer 2017-08-11 21:49:50 UTC
A commit references this bug:

Author: sbz
Date: Fri Aug 11 21:48:58 UTC 2017
New revision: 447809
URL: https://svnweb.freebsd.org/changeset/ports/447809

Log:
  - Update to 2.2.1

  PR:		216533
  Submitted by:	pi

Changes:
  head/security/py-paramiko/Makefile
  head/security/py-paramiko/distinfo
  head/security/py-paramiko/files/
  head/security/py-paramiko/files/patch-paramiko_client.py
Comment 5 Sofian Brabez freebsd_committer 2017-08-11 22:07:06 UTC
Committed in r447809. Thank you!